/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_CONTACTVOICE_H
#define __EPP_CONTACTVOICE_H

/** @file epp_ContactVoice.h
 *  @brief Deprecated! Definition of epp_ContactVoice and epp_ContactVoice_ref
 *  @author Asbjorn Steira Mikkelsen
 *  @deprecated Replaced by epp_ContactPhone.h from IDL 04/02
 */

#include "epp_contactdata.h"

namespace eppobject { namespace contact {
   
   /// Class containing elements used to describe a contact telephone number
   /// @deprecated Replaced by epp_ContactPhone from IDL 04/02
   class epp_ContactVoice {
      
    public:
      
      eppobject::epp::epp_string_ref m_extension; /**< Telephone number extension */
      eppobject::epp::epp_string_ref m_value; /**< Telephone number */
      
      /// Null constructor
      epp_ContactVoice() {};
      
      /// Destructor
      virtual ~epp_ContactVoice() {};
      
      /// Constructor, using simple types when it can
      /// @note Cannot set simple types to NULL
      epp_ContactVoice(const eppobject::epp::epp_string & _m_extension,
		       const eppobject::epp::epp_string & _m_value)
	{
	   m_extension.ref(new eppobject::epp::epp_string(_m_extension));
	   m_value.ref(new eppobject::epp::epp_string(_m_value));
	};
      
      /// Constructor, using only references
      epp_ContactVoice(const eppobject::epp::epp_string_ref & _m_extension,
		       const eppobject::epp::epp_string_ref & _m_value)
	{
	   m_extension = _m_extension;
	   m_value = _m_value;
	};
   };
   
   /// Typedef for the ref to the epp_ContactVoice class
   typedef refcnt_ptr<epp_ContactVoice> epp_ContactVoice_ref;
   
}}

#endif
