/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_DOMAINCHECKRSP_H
#define __EPP_DOMAINCHECKRSP_H

/** @file epp_DomainCheckRsp.h
 *  @brief Definition of epp_DomainCheckRsp and epp_DomainCheckRsp_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_GenericCheckRsp.h"
#include "epp_CheckResult.h"

namespace eppobject { namespace domain {
   
   /// Class containing elements used in domain check responses
   /// @see epp_GenericCheckRsp for additional information
   class epp_DomainCheckRsp : public epp::epp_GenericCheckRsp {
      
    public:
      
      /// Null constructor
      epp_DomainCheckRsp() {};
      
      /// Destructor
      virtual ~epp_DomainCheckRsp() {}
      
      /// Constructor
      epp_DomainCheckRsp(const eppobject::epp::epp_Response_ref & _m_rsp,
			 const eppobject::epp::epp_check_result_seq_ref & _m_results)
	: epp::epp_GenericCheckRsp(_m_rsp, _m_results) {};
      
   };

   /// Typedef for the ref to the epp_DomainCheckRsp class
   typedef refcnt_ptr<epp_DomainCheckRsp> epp_DomainCheckRsp_ref;
   
}}

#endif
