/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

#ifndef __EPP_POLLCONTACTTRANSFER_H
#define __EPP_POLLCONTACTTRANSFER_H

/** @file epp_PollContactTransfer.h
 *  @brief Deprecated! Definition of epp_PollContactTransfer and epp_PollContactTransfer_ref
 *  @author Asbjorn Steira Mikkelsen
 *  @deprecated Replaced by epp_ContactTrnData.h from EPP 04/02, IDL 05/03
 */

#include "epp_eppdata.h"
#include "epp_AuthInfo.h"

namespace eppobject { namespace epp {

   /// Class containing elements used in poll responses to describe a contact transfer
   /// @deprecated Replaced by eppobject::contact::epp_ContactTrnData from EPP 04/02, IDL 05/03
   class epp_PollContactTransfer {
      
    public:
      epp_string_ref m_contact_id; /**< Server-unique ID of the contact object requested for transfer */
      epp_AuthInfo_ref m_auth_info; /**< Authorization information associated with contact */
      
      /// Null constructor
      epp_PollContactTransfer() {};
      
      /// Destructor
      virtual ~epp_PollContactTransfer() {};
      
      /// Constructor, using simple types when it can
      /// @note Cannot set simple types to NULL
      epp_PollContactTransfer(const epp_string & _m_contact_id,
			      const epp_AuthInfo_ref & _m_auth_info)
	{
	   m_contact_id.ref(new epp_string(_m_contact_id));
	   m_auth_info = _m_auth_info;
	};
      
      /// Constructor, using only references
      epp_PollContactTransfer(const epp_string_ref & _m_contact_id,
			      const epp_AuthInfo_ref & _m_auth_info)
	{
	   m_contact_id = _m_contact_id;
	   m_auth_info = _m_auth_info;
	};
      
   };

   /// Typedef for the ref to the epp_PollContactTransfer class
   typedef refcnt_ptr<epp_PollContactTransfer> epp_PollContactTransfer_ref;
   
}}

#endif
