/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

/* $Header: /cvsroot/epp-rtk/epp-rtk/c++/src/data/epp_Result.cc,v 1.3 2005/09/13 12:44:08 jamesfgould Exp $ */

/** @file epp_Result.cc
 *  @brief Definition of epp_Result and epp_Result_ref
 *  @author Asbjorn Steira Mikkelsen
 */

#include "epp_Result.h"

using namespace eppobject::epp;
using namespace std;
   
ostream& eppobject::epp::operator<<(ostream &stream, const epp_Result_ref & result) {
    return stream << *result;
}

ostream& eppobject::epp::operator<<(ostream &stream, const epp_Result & result) {
    stream << "m_code ["<<*result.m_code<<"] m_msg ["<<*result.m_msg<<"] m_lang [";
	
	// JG - Added check since m_lang is optional
	if (result.m_lang != NULL) {
		stream << *result.m_lang<<"] ";		
	}
	else {
		stream << "] ";
	}
    
    stream << "m_values [";
    if ( result.m_values != NULL ) {
       for ( epp_resultvalue_seq::iterator i = result.m_values->begin();
             i != result.m_values->end();
             i++ ) {
           stream <<"["<<*i<<"]";
       }
    }
    stream << "] ";
    stream << "m_ext_values [";
    if ( result.m_ext_values != NULL ) {
       for ( epp_extresultvalue_seq::iterator j = result.m_ext_values->begin();
             j != result.m_ext_values->end();
             j++ ) {
           stream <<"["<<*j<<"]";
       }
    }
    stream << "]";
    return stream;
}
   
