/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

/* $Header: /cvsroot/epp-rtk/epp-rtk/c++/src/epp_Hello.cc,v 1.9 2003/07/18 20:21:19 tubadanm Exp $ */

#include "config.h"
#include "epp_Hello.h"
#include <domtools/dom_output.h>
#include <domtools/dom_wrapper.h>
#include "data/epp_eppXMLbase.h"
#include "data/epp_XMLException.h"


using namespace domtools;
using namespace eppobject::epp;

epp_Greeting_ref epp_Hello::getResponseData() const
{
   return m_response;
}
 

epp_string epp_Hello::toXML()
{
   EPP_output xml_request;
   xml_request.setWhitespace(Whitespace);
   
   createStandardXMLHeader(xml_request);
   
   xml_request.putTag("hello","");
   
   createStandardXMLFooter(xml_request);    
   
   return xml_request.getString();
}


void epp_Hello::fromXML(const eppobject::epp::epp_string & xml)
{
   dom_ptr doc = createDOMDocument(xml);
   
   dom_ptr greetingNode = dom_ptr(doc->getTag("greeting"));
   
   if(greetingNode->isNull()) {
      throw epp_XMLException(__FILE__, __LINE__, "Unable to find greeting-element");
   }
   
   epp_Greeting_ref greeting = createGreetingResponse(greetingNode);
   
   m_response = greeting;
}

